cancel
Showing results for 
Search instead for 
Did you mean: 

Install Oracle 10.2.0.2

grzesw
Occasional Visitor

Install Oracle 10.2.0.2

Hello all,
I tried to install Oracle 10g on HPUX PA RISC 11.11.Note in metalink 169706.1:
11.11 required patches:
o PHNE_31097 s/b PHNE_32477 s/b PHNE_33498 s/b PHNE_35418
o PHSS_31221 s/b PHSS_33263 s/b PHSS_33944
For JDK, refer to HP Java for latest patches:
o PHSS_30970 s/b PHSS_33033 s/b PHSS_35379
For PL/SQL/ProC,OCI,OCCI,XDK:
o PHSS_32508 s/b PHSS_34411 s/b PHSS_35099
o PHSS_32509 s/b PHSS_34412 s/b PHSS_35098
o PHSS_32510 s/b PHSS_34413 s/b PHSS_35100


I downloaded:PHNE_35418,33944,PHSS_35379,PHSS_35099
,PHSS_35098,PHSS_35100, created a depot and tried to install the patches in swinstall.
During analysis phase I got the following error & couldn't continue.

======= 03/20/07 15:29:01 MET BEGIN install AGENT SESSION (pid=17312)
(jobid=wisap-0068)

* Agent session started for user "root@hp-ux".
(pid=17312)

* Beginning Analysis Phase.
* Source:
wisap:/var/service/patch/depot/PHSS_35100.depot
* Target: wisap:/
* Target logfile: wisap:/var/adm/sw/swagent.log
* Reading source for product information.
* Reading source for file information.
NOTE: The patch fileset "PHSS_35100.LANG-AUX,r=1.0" may only be
installed upon a previously installed base fileset. The
specification for this base fileset is
"Auxiliary-Opt.LANG-AUX,fr=B.11.11.16,v=HP". Since there is
no fileset on the target or selected from the source which
matches this specification, fileset
"PHSS_35100.LANG-AUX,r=1.0" will be excluded.
* Executing preDSA command.

* Summary of Analysis Phase:
* 1 of 1 filesets will be Skipped.
* The Analysis Phase succeeded.


======= 03/20/07 15:30:10 MET END install AGENT SESSION (Cancelled)
(pid=17312) (jobid=wisap-0068)


======= 03/21/07 09:49:02 MET BEGIN install AGENT SESSION (pid=22094)
(jobid=wisap-0069)

* Agent session started for user "root@hp-ux".
(pid=22094)

* Beginning Analysis Phase.
* Source:
wisap:/var/service/patch/depot/PHSS_35099.depot
* Target: wisap:/
* Target logfile: wisap:/var/adm/sw/swagent.log
* Reading source for product information.
* Reading source for file information.
NOTE: The patch fileset "PHSS_35099.ACXX,r=1.0" may only be
installed upon a previously installed base fileset. The
specification for this base fileset is
"ACXX.ACXX,fr=C.03.70,v=HP". Since there is no fileset on the
target or selected from the source which matches this
specification, fileset "PHSS_35099.ACXX,r=1.0" will be
excluded.
* Executing preDSA command.

* Summary of Analysis Phase:
* 1 of 1 filesets will be Skipped.
* The Analysis Phase succeeded.


======= 03/21/07 10:07:55 MET END install AGENT SESSION (Cancelled)
(pid=22094) (jobid=wisap-0069)

Please help me.

Thanks Grzes

4 REPLIES
Peter Godron
Honored Contributor

Re: Install Oracle 10.2.0.2

Hi,
and welcome to the forums !

Please see earlier threads:
http://forums1.itrc.hp.com/service/forums/que
stionanswer.do?threadId=1072565

You are trying to apply patches for products you do not have installed.

Please also read:
http://forums1.itrc.hp.com/service/forums/helptips.do?#33 on how to reward any useful answers given to your questions.
Steven E. Protter
Exalted Contributor

Re: Install Oracle 10.2.0.2

Shalom Grzes,


NOTE: The patch fileset "PHSS_35100.LANG-AUX,r=1.0" may only be
installed upon a previously installed base fileset. The
specification for this base fileset is
"Auxiliary-Opt.LANG-AUX,fr=B.11.11.16,v=HP".

"Auxiliary-Opt.LANG-AUX,fr=B.11.11.16,v=HP".

Is not installed. Therefore the patch PHSS_35100 is not relavent and should not be included in the patch set.

If the patch is required then probably the LANG-AUX is also required. It can be found on the Core OS cd but I doubt it can be installed separately.

It would appear that several pre-installation steps in the Oracle guide have been missed including the Ansi C compiler. That product must be installed from the application cd's and requires a license which costs money from HP.

Check that install guide and don't skip steps if you want this to come out right.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
Daniel D.B. Shafer Sr.
Occasional Advisor

Re: Install Oracle 10.2.0.2

Attempted the same installation: Oracle 10G on UX 11i PA RISC.
Oracle's preInstall tool identified the same three OS patches:
PHSS_32508 succeeded by PHSS_34411
PHSS_32509 succeeded by PHSS_34412
PHSS_32510 succeeded by PHSS_34413
HP's patch database indicates newer patches _35098, _35099, and _35100

No matter which patch or its predecessor/successor one chooses, similar errors prevent installation.
"The patch fileset *FILESET* may only be installed upon a previously installed base fileset."

Experienced a bit of difficulty finding in-depth information on any particular patch.
Can't easily locate anything like, "Patch *PATCH* deals with issue *ISSUE* with fileset *FILESET*. Dependent fileset information is available at link *LINK*".

_32508 ( and _34411 and _25099) has to do with aC++ (ACXX).

A swlist confirmed:
# swlist -l fileset | grep aC++
# PHSS_33944 1.0 HP aC++ -AA runtime libraries (aCC A.03.71)

Even with this software installed, none of the aC++ patches would not install.
These patches may be related to the aC++ Compiler instead of the runtime libraries.

All that aside, Oracle 10G was installed even though the preInstall tool had complained.
At the present, it is unknown what the ramifications are of not having the three patches installed (if any).
Dennis Handly
Acclaimed Contributor

Re: Install Oracle 10.2.0.2

>Daniel: No matter which patch or its predecessor/successor one chooses, similar errors prevent installation.

Peter explained it. You can't install these patches because you don't have the base release of compiler installed. Just ignore what Oracle says here. This confusion happens over and over.

>These patches may be related to the aC++ Compiler instead of the runtime libraries.

Correct.